首页   注册   登录
V2EX = way to explore
V2EX 是一个关于分享和探索的地方
现在注册
已注册用户请  登录
探索世界的好奇心万岁
Udacity
网易公开课
Godel, Escher, Bach: An Eternal Golden Braid
alexlee0728
V2EX  ›  分享发现

现在用 JDK1.8 的人多吗?

  •  
  •   alexlee0728 · 123 天前 · 1811 次点击
    这是一个创建于 123 天前的主题,其中的信息可能已经有所发展或是发生改变。

    现在用 JDK1.8 的人多吗,还是基本都高版本了?

    用 OpenJDK 还是 Oracle 的 JDK

    9 条回复    2020-04-05 23:16:21 +08:00
    arjen
        1
    arjen   123 天前 via Android
    太多了吧,8 之后才是 11 。12,13 这些不是 lts 估计没人用
    chinvo
        2
    chinvo   123 天前
    @arjen #1 11 是 LTS, 奈何太多项目都还是 1.8

    因为 1.8 之后 Oracle 自己作死, Google 、Ms 等公司都不怎么跟进, 现在 Android SDK 和好多项目还是要求 JDK 1.8
    timbotetsu
        3
    timbotetsu   122 天前
    全部迁移到 AdoptOpenJDK 上了

    目前主服务应用全是 Java 8,ELK Stack 用的 Java 11
    nutting
        4
    nutting   122 天前
    1.8 不错了,我还维护 1.5 的项目呢
    zjx1993
        5
    zjx1993   122 天前
    @nutting 我也维护过 1.5 和 1.6 的,简直痛苦。十几年前的代码,连个注释都没有
    yanzhiling2001
        6
    yanzhiling2001   122 天前
    @zjx1993 我在银行还遇到过 04 年 jdk4 的,那会才引入泛型 注解 装箱 枚举 可变参数
    ivlioioilvi
        7
    ivlioioilvi   122 天前
    主用 jdk8, 13 作为一些软件的依赖安装
    MeteorCat
        8
    MeteorCat   122 天前 via Android
    jdk1.8 就偷乐吧,我手里一堆 1.7 还一堆 sum 的类库引入升到 1.8 直接报错
    mreasonyang
        9
    mreasonyang   121 天前 via iPad
    JDK7 还有大量保有率,打供他人使用的包时 level 都要是 1.7 的
    关于   ·   FAQ   ·   API   ·   我们的愿景   ·   广告投放   ·   感谢   ·   实用小工具   ·   4042 人在线   最高记录 5168   ·     Select Language
    创意工作者们的社区
    World is powered by solitude
    VERSION: 3.9.8.5 · 24ms · UTC 06:47 · PVG 14:47 · LAX 23:47 · JFK 02:47
    ♥ Do have faith in what you're doing.